Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface QueryCacheFactory

All Known Implementing Classes:
  StandardQueryCacheFactory

    public interface QueryCacheFactory

Defines a factory for query cache instances. These factories are responsible for creating individual QueryCache instances.

Method Summary
`QueryCache` | `getQueryCache(String regionName, UpdateTimestampsCache updateTimestampsCache, Settings settings, Properties props)`

Method Detail

### getQueryCache

    QueryCache getQueryCache(String regionName,
                             UpdateTimestampsCache updateTimestampsCache,
                             Settings settings,
                             Properties props)
                             throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.